#            linux Makefile to compile plottab with gfortran
#
#
#                        compile with make -i
#
#
#        		changed by Detlef Reich
#              Physikalisches Institut der Universitaet Bonn
#                            Nussallee 12
#                             53115 Bonn
#                              Germany
#
#                   e-mail: reich@physik.uni-bonn.de
#
#    This makefile has been changed below for linking to the X-Windows
#    path for RedHat linux. You may need to change the path to suit
#    your linux OS.
#########################################################################
FFLAGS=-O 
CFLAGS=-O
#L1=/usr/X11R6/lib/libX11.a
#L2=/usr/X11R6/lib/libXt.a
#LIBS= $(L1) $(L2)
LIBS= -lX11 -lnsl
# -lm linked by the f77-shellscript
# -lsocket
#LIBDIR= -L/usr/X11/lib
CC=cc
FC=gfortran
 
FSUB1= plottab.f action.f plot.f paltab.f
 
CSUBS=dash.c
#
 
OBJ= $(FSUB1:.f=.o) $(CSUBS:.c=.o)
 
SRC=$(FSUB1) $(CSUBS)
 
all: plottab plotsave
 
plottab: $(OBJ)
	$(FC) -o plottab $(FFLAGS) $(OBJ) $(LIBS)
 
plotsave: plottab.o action.o saveps.o
	$(FC) -o plotsave $(FFLAGS) plottab.o action.o saveps.o
 
 
